﻿using System;
using Nancy;

namespace Jws.OwinAdapter.Nancy
{

    /// <summary>
    /// 获取网站绝对路径的类
    /// <para>网站根目录的物理路径。这个类是Nancy所必须的，而且每个网站是唯一的</para>
    /// </summary>
    public class JwsNnacyRootPathProvider :IRootPathProvider
    {
        /// <summary>
        /// 网络根文件夹的物理路径
        /// <para>已去掉路径右边的路径分隔符</para>
        /// </summary>
        /// <returns></returns>
        public string GetRootPath()
        {
            return AppDomain.CurrentDomain.BaseDirectory.TrimEnd(new[]{'/'});
        }
    }
}
